# $Revision: 1.42 $, $Date: 2004/01/24 18:47:29 $
Summary:	FTP mirroring program
Summary(pl):	Program do mirrorowania FTP
Name:		emirror
Version:	2.1.21
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	ftp://eclipt.uni-klu.ac.at/pub/projects/emirror/%{name}-%{version}.tar.gz
# Source0-md5:	4223966e49284e70a8eeabe9603d1ae3
Patch0:		%{name}-pld.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	python-devel >= 2.1
Requires:	python >= 2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FTP mirroring program.

%description -l pl
Program do mirrorowania FTP.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--with-htmldir=/home/services/httpd/html/mirrors

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/home/services/httpd/html/mirrors

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%dir /home/services/httpd/html/mirrors
/home/services/httpd/html/mirrors/*
%config(noreplace) %{_sysconfdir}/emirror
%attr(755,root,root) %{_bindir}/*
%{_prefix}/lib/emirror
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: emirror.spec,v $
Revision 1.42  2004/01/24 18:47:29  undefine
- release 3

Revision 1.41  2004/01/24 18:46:21  undefine
- move %{_libdir} to %{_prefix}/lib - it's noarch archive

Revision 1.40  2004/01/17 23:03:13  domelu
- release 2 to rebuild with ac

Revision 1.39  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.38  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.37  2003/05/25 05:47:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2002/12/07 16:16:02  orzech
- /home -> /home/services

Revision 1.35  2002/11/27 19:36:44  juandon
- new %%doc

Revision 1.34  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.33  2002/05/21 23:12:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.32  2002/05/20 14:03:23  baggins
- updated to 2.1.21

Revision 1.31  2002/04/25 16:15:12  arturs
fixed a small typo

Revision 1.30  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.28  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/10/08 13:37:56  qboosh
- don't gzip man pages in spec - rpm does

Revision 1.26  2001/08/17 14:50:45  kloczek
- regenerate ac files.

Revision 1.25  2001/08/17 14:12:05  baggins
- release 2
- fixed pld patch

Revision 1.24  2001/08/17 13:26:56  baggins
- updated to 2.1.19

Revision 1.23  2001/04/19 04:34:22  kloczek
- cosmetics.

Revision 1.22  2001/04/16 00:24:41  baggins
- release 4
- really fixed building with python 2.0
- requires python >= 2.0

Revision 1.21  2001/04/13 22:09:00  baggins
- allow building with python 2.0

Revision 1.20  2000/09/09 21:47:49  baggins
- release 3
- added php fixes and config files

Revision 1.19  2000/09/09 18:12:44  baggins
- typo
- install directory for HTML reports

Revision 1.18  2000/09/09 18:02:22  baggins
- release 2
- new patch (many fixes)
- spec adapterized

Revision 1.15  2000/09/08 13:56:35  baggins
- updated to 2.1.17

Revision 1.14  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.10  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.9  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.8  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Dec 05 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [2.0b6-1]
- initial rpm release.
